aboutsummaryrefslogtreecommitdiffstats
path: root/mayor-installer-orig/setup
diff options
context:
space:
mode:
authorM.Gergo2018-07-06 11:14:41 +0200
committerM.Gergo2018-07-06 11:14:41 +0200
commit43de9af71f7f4ca5731b94a06d688ae8412ba427 (patch)
tree54835de1dfcda504c02da261f0dc26885aed2e89 /mayor-installer-orig/setup
parent50310b0e4513ee3fcce67351ae61e8fff851130e (diff)
downloadmayor-43de9af71f7f4ca5731b94a06d688ae8412ba427.tar.gz
mayor-43de9af71f7f4ca5731b94a06d688ae8412ba427.zip
2018/Feb/28 -i állapot hozzáadva, mint a módosítások kiindulási állapota
Diffstat (limited to 'mayor-installer-orig/setup')
-rwxr-xr-xmayor-installer-orig/setup34
1 files changed, 34 insertions, 0 deletions
diff --git a/mayor-installer-orig/setup b/mayor-installer-orig/setup
new file mode 100755
index 00000000..3c13a155
--- /dev/null
+++ b/mayor-installer-orig/setup
@@ -0,0 +1,34 @@
+#!/bin/bash
+clear
+echo "-------------------------------------------"
+echo " MaYoR Setup "
+echo "-------------------------------------------"
+
+MAYORDIR="/var/mayor"
+TMPDIR="/tmp"
+MYSQLROOTPW=""
+VERSION="current"
+export MAYORDIR
+export TMPDIR
+export MYSQLROOTPW
+export VERSION
+
+echo -e "A MaYoR keretrendszer és elektronikus napló telepítője a továbbiakban
+több lépésben, az egyes lépésekre jóváhagyást kérve fogja végrehajtani a
+telepítés és konfigurálás lépéseit.
+
+A telepítő egy tipikus telepítés esetén alkalmazható, speciális igények esetén
+célszerűbb az egyes lépéseket a telepítési útmutató alapján manuálisan végezni.\n"
+
+read -n 1 -p "Folytatja? (i/N)" -s DO
+if [ "$DO" != "i" ]; then echo " ok, kiléptem..."; exit 1; fi
+echo -e "\n"
+
+for f in install.d/*
+do
+ echo -e "\n----------------------------------------------\n$f\n----------------------------------------------\n"
+ ./$f $@
+ if [ "$?" == 255 ]; then echo "Fatális hiba! A telepítő kilép."; exit 255; fi;
+done
+
+echo -e "MaYoR (c) setup\n"